#!/bin/bash

# This is a uninstaller script for FreeBSD. Note that all the sources to remove are hardcoded and thus maintainance of this
# script must be done carefully and be reviewd before release
#
# By: Omer Dagan <omerd@mellanox.com>

if [[ $(id -u -n) != "root" && "$g_ignore_user" != "1" ]]; then
    echo "-E- This script must be run as \"root\""
    exit 1
fi

sources_to_del=(/etc/mft /usr/bin/mic /usr/bin/t2a /usr/bin/mlxburn /usr/bin/prev_flint /usr/bin/flint /usr/bin/flint_ext /usr/bin/i2c /usr/bin/itrace /usr/bin/mcra /usr/bin/mget_temp /usr/bin/mlxconfig /usr/bin/mlxburn /usr/bin/mic /usr/bin/t2a /usr/bin/mlxdump /usr/bin/mlxdump_ext /usr/bin/mlxi2c /usr/bin/mlxmcg /usr/bin/mlxmdio /usr/bin/mlx_resolve_path /usr/bin/mlxtrace /usr/bin/mlxtrace_ext /usr/bin/mlxuptime /usr/bin/mst /usr/bin/mstdump /usr/bin/mtserver /usr/bin/pckt_drop /usr/bin/wqdump /usr/bin/wqdump_ext /usr/include/mtcr.h /usr/lib/libmtcr.a /usr/lib/mft/ /usr/share/man/man1/flint.1 /usr/share/man/man1/mlxburn.1 /usr/share/mft/ /usr/bin/mft_uninstall.sh)

echo "-I- Uninstalling MFT..."
for src in ${sources_to_del[@]}; do
    rm -rf $src
    rc=$?
    if [ "$rc" != "0" ]; then
        echo "-E- An error accured while trying to remove $src. Solve this problem manually and re-run the script"
        exit $rc 
    fi
done
echo "Uninstallation finished successfully"


